## htmldoc 1.9.2

=== Makefile ===
#
# Makefile for HTMLDOC, an HTML document processing program.
#
# Copyright 2011-2017 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Object files...
#

COMMONOBJS =	array.o \
		file.o \
		htmllib.o \
		http.o \
		http-addr.o \
		http-addrlist.o \
		http-support.o \
		image.o \
		iso8859.o \
		md5.o \
		progress.o \
		snprintf.o \
		string.o \
		tls.o \
		toc.o \
		util.o

HTMLDOCOBJS =	gui.o \
		epub.o \
		html.o \
		htmldoc.o \
		htmlsep.o \
		license.o \
		markdown.o \
		mmd.o \
		ps-pdf.o \
		rc4.o \
		zipc.o
TESTOBJS =	testhtml.o
OBJS	=	$(COMMONOBJS) $(HTMLDOCOBJS) $(TESTOBJS)


#
# Make everything...
#

all:	htmldoc$(EXEEXT) testhtml$(EXEEXT)


#
# Install everything...
#

install:	all
	$(INSTALL_DIR) $(BUILDROOT)$(bindir)
	$(INSTALL_BIN) htmldoc$(EXEEXT) $(BUILDROOT)$(bindir)


#
# Clean out object and executable files...
#

clean:
	$(RM) $(OBJS) htmldoc$(EXEEXT)


#
# Update dependencies...
#

depend:
	$(CC) -MM $(CFLAGS) $(OBJS:.o=.c) >Dependencies
	$(CXX) -MM $(CXXFLAGS) $(OBJS:.o=.cxx) >>Dependencies


#
# htmldoc
#

htmldoc$(EXEEXT):	$(HTMLDOCOBJS) $(COMMONOBJS) ../Makedefs
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o htmldoc$(EXEEXT) $(HTMLDOCOBJS) $(COMMONOBJS) $(LIBS)
	if test `uname` = Darwin; then \
		$(MAKE) -$(MAKEFLAGS) htmldoc.app || exit 1; \
	fi

htmldoc.app:	htmldoc
	echo Creating application bundle...
	$(RM) -r htmldoc.app
	$(MKDIR) htmldoc.app
	$(MKDIR) htmldoc.app/Contents
	$(CP) ../desktop/htmldoc.plist htmldoc.app/Contents/Info.plist
	$(MKDIR) htmldoc.app/Contents/MacOS
	$(CP) htmldoc htmldoc.app/Contents/MacOS
	$(MKDIR) htmldoc.app/Contents/Resources
	$(CP) ../desktop/htmldoc.icns htmldoc.app/Contents/Resources
	$(CP) ../doc/help.html htmldoc.app/Contents/Resources
	$(MKDIR) htmldoc.app/Contents/Resources/data
	$(CP) ../data/cp-* htmldoc.app/Contents/Resources/data
	$(CP) ../data/iso-* htmldoc.app/Contents/Resources/data
	$(CP) ../data/koi8-r htmldoc.app/Contents/Resources/data
	$(CP) ../data/prolog.ps htmldoc.app/Contents/Resources/data
	$(CP) ../data/psglyphs htmldoc.app/Contents/Resources/data
	$(MKDIR) htmldoc.app/Contents/Resources/fonts
	$(CP) ../fonts/*.afm htmldoc.app/Contents/Resources/fonts
	$(CP) ../fonts/*.pfa htmldoc.app/Contents/Resources/fonts


#
# testhtml
#

testhtml$(EXEEXT):	$(TESTOBJS) $(COMMONOBJS)
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o testhtml$(EXEEXT) $(TESTOBJS) $(COMMONOBJS) $(LIBS)


#
# Dependencies...
#

$(OBJS):	../Makedefs
tls.o:		tls-darwin.c tls-gnutls.c tls-sspi.c
include Dependencies

=== debian/changelog ===
htmldoc (1.9.2-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2021-23165.patch: number-up crash fix
    - CVE-2021-23165

 -- Mark Esler <mark.esler@canonical.com>  Wed, 18 May 2022 14:14:11 -0500

htmldoc (1.9.2-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2019-19630.patch: fix a buffer underflow issue with
      GCC on linux in htmldoc/ps-pdf.cxx.
    - CVE-2019-19630

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 14 Jan 2021 11:57:19 -0300

htmldoc (1.9.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #738050)
    - support for UTF-8 input files (Closes: #355044)
    - support for ndash and mdash entities (Closes: #351447)
    - fix for incorrect Ubuntu patch that broke pdf links (LP: #1662226)
  * Update upstream homepage. (Closes: #854256)
  * Update watch file to new location.
  * Add upstream signing key.
    - check signature with uscan
  * Add upstream metadata file.
  * Refresh patches and drop upstream applied ones.
  * Convert d/rules to dh-based build.
    - enable all hardening options
  * Replace OpenSSL build dependency with GnuTLS
    - upstream dropped OpenSSL support
  * Drop obsolete menu file.
  * Drop old README.Debian.
  * Drop unused htmldoc.overrides.
  * Add several build-related patches and minor cleanup/improvements.
  * Register documentation at doc-base.
  * Convert debian/copyright to copyright format 1.0.
  * Mark htmldoc-common as Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 27 Mar 2018 18:22:33 +0200

htmldoc (1.8.27-9) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Comment out VCS -- 503-compliant.
  * Comment out Homepage -- taken over by a dissertation fraudster.
  * Make errors during build fatal.  Closes: #876250.
  * Drop ancient Replaces/Conflicts.
  * dh 11.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 04 Feb 2018 01:28:08 +0100

=== debian/control ===
Source: htmldoc
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://www.msweet.org/htmldoc/
Standards-Version: 4.1.3
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11),
               libfltk1.1-dev,
               libgnutls28-dev,
               libjpeg-dev,
               libpng-dev,
               libxpm-dev,
               pkg-config,
               zlib1g-dev

Package: htmldoc
Architecture: any
Depends: htmldoc-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: HTML processor that generates indexed HTML, PS, and PDF
 HTMLDOC is a program for writing documentation in HTML and producing
 indexed HTML, PostScript, or PDF output (with tables of contents).
 It supports most HTML 3.2 and some HTML 4.0 syntax, as well as GIF,
 JPEG, and PNG images.

Package: htmldoc-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common arch-independent files for htmldoc
 HTMLDOC is a program for writing documentation in HTML and producing
 indexed HTML, PostScript, or PDF output (with tables of contents).
 It supports most HTML 3.2 and some HTML 4.0 syntax, as well as GIF,
 JPEG, and PNG images.
 .
 This package contains the htmldoc files common to all architectures.

=== debian/watch ===
version=4
  opts="pgpsigurlmangle=s%$%.sig%" \
  https://github.com/michaelrsweet/htmldoc/releases \
  .*/@PACKAGE@-@ANY_VERSION@-source@ARCHIVE_EXT@ debian uupdate

## htmldoc 1.9.3

=== Makefile ===
#
# Makefile for HTMLDOC documentation files.
#
# Copyright © 2011-2018 by Michael R Sweet.
# Copyright © 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Documentation files...
#

SOURCES	=	1-intro.html \
		2-using.html \
		3-cmdref.html \
		4-htmlref.html \
		5-mdref.html \
		a-license.html \
		b-book.html

DOCUMENTS =	htmldoc.epub htmldoc.html htmldoc.pdf htmldoc.ps
DOCFILES =	help.html htmldoc.pdf

HTMLDOC	=	../htmldoc/htmldoc$(EXEEXT) --datadir .. --strict


#
# Make everything...
#

all: $(DOCUMENTS) htmldoc.1


#
# Install everything...
#

install: $(DOCUMENTS)
	$(INSTALL_DIR) $(BUILDROOT)$(datadir)/doc/htmldoc;
	for file in $(DOCFILES); do \
		$(INSTALL_DATA) $$file $(BUILDROOT)$(datadir)/doc/htmldoc; \
	done
	$(INSTALL_DIR) $(BUILDROOT)$(mandir)/man1;
	$(INSTALL_MAN) htmldoc.man $(BUILDROOT)$(mandir)/man1/htmldoc.1


#
# Clean out document files...
#

clean:
	$(RM) $(DOCUMENTS)


#
# htmldoc program (dummy rule)
#

../htmldoc/htmldoc$(EXEEXT):
	echo Rebuilding documentation...


#
# htmldoc.d (directory)
#

.PHONY: htmldoc.d
htmldoc.d:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.d...
	if test -d htmldoc.d; then \
		$(RM) -r htmldoc.d; \
	fi
	$(MKDIR) htmldoc.d
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book -t htmlsep -d htmldoc.d


#
# htmldoc.epub
#

htmldoc.epub:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.epub...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book --titleimage htmldoc-cover.png -f htmldoc.epub


#
# htmldoc.html
#

htmldoc.html:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.html...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book -f htmldoc.html


#
# htmldoc.pdf
#

htmldoc.pdf:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.pdf...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book -f htmldoc.pdf


#
# htmldoc.ps
#

htmldoc.ps:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.ps...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book -f htmldoc.ps


#
# htmldoc.1
#

htmldoc.1:	htmldoc.man
	echo Formatting htmldoc.1...
	nroff -man htmldoc.man >htmldoc.1

=== debian/changelog ===
htmldoc (1.9.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Drop patches applied upstream.
  * Drop debian/clean, which is no longer required.
  * Bump Standards-Version to 4.1.4.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 11 Apr 2018 20:04:27 +0200

htmldoc (1.9.2-2) unstable; urgency=medium

  * QA upload.

  [ Reiner Herrmann ]
  * Remove operating system check during .desktop installation, to install
    .desktop and related files also on non-Linux systems.

  [ Helmut Grohne ]
  * Do not build documentation during arch-only build. (Closes: #894627)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 03 Apr 2018 18:28:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: https://www.msweet.org/htmldoc/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 11),
                libfltk1.1-dev,

## htmldoc 1.9.7

=== debian/changelog ===
htmldoc (1.9.7-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2021-23165.patch: number-up crash fix
    - CVE-2021-23165

 -- Mark Esler <mark.esler@canonical.com>  Wed, 18 May 2022 13:45:59 -0500

htmldoc (1.9.7-1ubuntu0.2) focal-security; urgency=medium

  * Updated libgcc-s1 dependency version

 -- Florencia Cabral Berenfus <florencia.cabralberenfus@canonical.com>  Fri, 10 Dec 2021 15:10:17 -0300

htmldoc (1.9.7-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: SEGV issue in file_extension
    - debian/patches/CVE-2021-23180.patch: Fix a crash bug with malformed URIs (Issue #418)
    - CVE-2021-23180

 -- Florencia Cabral Berenfus <florencia.cabralberenfus@canonical.com>  Thu, 18 Nov 2021 12:23:14 -0300

htmldoc (1.9.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:56 +0100

htmldoc (1.9.7-1) unstable; urgency=medium

  * QA upload
  * New upstream version 1.9.7
  * Add patch to fix a buffer underflow issue with GCC on Linux.
    - Fixes: CVE-2019-19630
  * Change debian/compat to debhelper-compat
  * Update Standards-Version to 4.4.1
  * Update patches
  * Bump dh to 12

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 22 Dec 2019 00:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: https://www.msweet.org/htmldoc/
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11),
-               libfltk1.1-dev,
+Build-Depends: debhelper-compat (= 12),
+               libfltk1.3-dev,
                libgnutls28-dev,
                libjpeg-dev,
                libpng-dev,

## htmldoc 1.9.8

=== debian/changelog ===
htmldoc (1.9.8-2) unstable; urgency=medium

  * QA upload.

  [ Niels Thykier ]
  * Bump debhelper-compat to 13.

  [ Helmut Grohne ]
  * Mark htmldoc Multi-Arch: foreign. (Closes: #920494)

 -- Niels Thykier <niels@thykier.net>  Thu, 16 Apr 2020 21:16:16 +0000

htmldoc (1.9.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Remove 0007-CVE-2019-19630.patch, applied upstream
  * Update Standards-Version to 4.5.0
  * Remove d/gbp.conf and salsa-ci-yml, not needed.
  * Update copyright year in d/copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 04 Apr 2020 19:27:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: https://www.msweet.org/htmldoc/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
-               libfltk1.3-dev,
+Build-Depends: debhelper-compat (= 13),
+               libfltk1.1-dev,
                libgnutls28-dev,
                libjpeg-dev,
                libpng-dev,
@@ -17,6 +16,7 @@
 
 Package: htmldoc
 Architecture: any
+Multi-Arch: foreign
 Depends: htmldoc-common,
          ${misc:Depends},
          ${shlibs:Depends}

## htmldoc 1.9.11

=== desktop/Makefile ===
#
# Makefile for HTMLDOC desktop files.
#
# Copyright 2017 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Make everything...
#

all:


#
# Install everything...
#

install:
	if test `uname` = Linux; then \
		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/applications; \
		$(INSTALL_DATA) htmldoc.desktop $(BUILDROOT)$(datadir)/applications; \
		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/mime/packages; \
		$(INSTALL_DATA) htmldoc.xml $(BUILDROOT)$(datadir)/mime/packages; \
		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/pixmaps; \
		$(INSTALL_DATA) htmldoc.xpm $(BUILDROOT)$(datadir)/pixmaps; \
		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/icons/hicolor/128x128/apps; \
		$(INSTALL_DATA) htmldoc-128.png $(BUILDROOT)$(datadir)/icons/hicolor/128x128/apps/htmldoc.png; \
		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/icons/hicolor/256x256/apps; \
		$(INSTALL_DATA) htmldoc-256.png $(BUILDROOT)$(datadir)/icons/hicolor/256x256/apps/htmldoc.png; \
	fi


#
# Clean out object and library files...
#

clean:

=== fonts/Makefile ===
#
# Makefile for HTMLDOC font files.
#
# Copyright 2011-2017 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Standard fonts...
#

FONTS	=	\
		Courier \
		Courier-Bold \
		Courier-BoldOblique \
		Courier-Oblique \
		Dingbats \
		Helvetica \
		Helvetica-Bold \
		Helvetica-BoldOblique \
		Helvetica-Oblique \
		Monospace \
		Monospace-Bold \
		Monospace-BoldOblique \
		Monospace-Oblique \
		Sans \
		Sans-Bold \
		Sans-BoldOblique \
		Sans-Oblique \
		Serif-Roman \
		Serif-Bold \
		Serif-BoldOblique \
		Serif-Oblique \
		Symbol \
		Times-Bold \
		Times-BoldItalic \
		Times-Italic \
		Times-Roman


#
# Make everything...
#

all:


#
# Install everything...
#

install:
	echo "Installing font files in $(datadir)/htmldoc/fonts..."
	$(INSTALL_DIR) $(BUILDROOT)$(datadir)/htmldoc/fonts
	for font in $(FONTS); do \
		$(INSTALL_DATA) $$font.afm $(BUILDROOT)$(datadir)/htmldoc/fonts; \
		$(INSTALL_DATA) $$font.pfa $(BUILDROOT)$(datadir)/htmldoc/fonts; \
	done


#
# Uninstall everything...
#

uninstall:
	echo "Uninstalling font files from $(datadir)/htmldoc/fonts..."
	for font in $(FONTS); do \
		$(RM) $(BUILDROOT)$(datadir)/htmldoc/fonts/$$font.afm; \
		$(RM) $(BUILDROOT)$(datadir)/htmldoc/fonts/$$font.pfa; \
	done
	-$(RMDIR) $(BUILDROOT)$(datadir)/htmldoc/fonts


#
# Clean out object and library files...
#

clean:

=== jpeg/Makefile ===
#
# JPEG library Makefile for the HTMLDOC software.
#
# Copyright 2011 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

include ../Makedefs

#
# Object files...
#

OBJS	=	\
		jaricom.o \
		jcapimin.o \
		jcapistd.o \
		jcarith.o \
		jccoefct.o \
		jccolor.o \
		jcdctmgr.o \
		jchuff.o \
		jcinit.o \
		jcmainct.o \
		jcmarker.o \
		jcmaster.o \
		jcomapi.o \
		jcparam.o \
		jcprepct.o \
		jcsample.o \
		jctrans.o \
		jdapimin.o \
		jdapistd.o \
		jdarith.o \
		jdatadst.o \
		jdatasrc.o \
		jdcoefct.o \
		jdcolor.o \
		jddctmgr.o \
		jdhuff.o \
		jdinput.o \
		jdmainct.o \
		jdmarker.o \
		jdmaster.o \
		jdmerge.o \
		jdpostct.o \
		jdsample.o \
		jdtrans.o \
		jerror.o \
		jfdctflt.o \
		jfdctfst.o \
		jfdctint.o \
		jidctflt.o \
		jidctfst.o \
		jidctint.o \
		jmemmgr.o \
		jmemnobs.o \
		jquant1.o \
		jquant2.o \
		jutils.o


#
# Make all targets...
#

all:	libjpeg.a


#
# Clean all targets and object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) libjpeg.a


#
# Update dependencies...
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# libjpeg.a
#

libjpeg.a:	$(OBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJS):	../Makedefs
include Dependencies

=== png/Makefile ===
#
# PNG library makefile for the HTMLDOC software.
#
# Copyright 2011 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

include ../Makedefs

#
# Object files...
#

OBJS	=	\
		png.o \
		pngerror.o \
		pngget.o \
		pngmem.o \
		pngpread.o \
		pngread.o \
		pngrio.o \
		pngrtran.o \
		pngrutil.o \
		pngset.o \
		pngtrans.o \
		pngwio.o \
		pngwrite.o \
		pngwtran.o \
		pngwutil.o


#
# Make all of the targets...
#

all:	libpng.a


#
# Clean all of the targets and object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) libpng.a


#
# Update dependencies...
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# libpng.a
#

libpng.a:	$(OBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@  $(OBJS)
	$(RANLIB) $@

$(OBJS):	../Makedefs
include Dependencies

=== debian/changelog ===
htmldoc (1.9.11-4+deb11u3) bullseye; urgency=medium

  * CVE-2022-24191
    Infinite loop in the gif_read_lzw function can lead to a
    pointer arbitrarily pointing to heap memory and resulting
    in a buffer overflow.
  * CVE-2022-27114
    Integer Overflow bugs in image.cxx, malloc function may
    return a heap block smaller than the expected size, and
    it will cause a buffer overflow/Address boundary error in
    the jpeg_read_scanlines function.
  * CVE-2022-28085
    A heap buffer overflow in the function pdf_write_names
    in ps-pdf.cxx may lead to arbitrary code execution and
    Denial of Service (DoS).

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 15 May 2022 10:13:03 +0200

htmldoc (1.9.11-4+deb11u2) bullseye; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-0534
    A crafted GIF file could lead to a stack out-of-bounds read,
    which could result in a crash (segmentation fault).

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Feb 2022 22:03:02 +0100

htmldoc (1.9.11-4+deb11u1) bullseye; urgency=medium

  * Add patch from upstream to fix CVEs:
    CVE-2021-40985, CVE-2021-43579.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 15 Nov 2021 17:13:36 +0100

htmldoc (1.9.11-4) unstable; urgency=medium

  * Add patches to fix many CVE's. Closes: #989437
    Fix: CVE-2021-23158, CVE-2021-23165, CVE-2021-23180, CVE-2021-23191,
    CVE-2021-23206, CVE-2021-26252, CVE-2021-26259, CVE-2021-26948.
  * Switch to DEP-14 layout

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 03 Jun 2021 21:29:16 +0200

htmldoc (1.9.11-3) unstable; urgency=medium

  * Add patch to mitigate buffer-overflow caused by integer-overflow in
    image_load_gif() Closes: #984765 and fixes CVE-2021-20308

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 10 May 2021 16:10:41 +0200

htmldoc (1.9.11-2) unstable; urgency=medium

  * Update build-dependency to libfltk1.3-dev Closes: #982276

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 08 Feb 2021 15:46:44 +0100

htmldoc (1.9.11-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer Closes: #854222
  * d/control: Update Standards-Version to 4.5.1
  * d/upstream/metadata:
    - Update Bug-Submit
    - Drop deprecated fields
  * d/patches
    - Append .patch to patches
    - New patch to make documentation be encoded with utf8
  * d/copyright
    - Update years
    - Include myself under debian/*
    - Update copyright notice for png/*
    - Update copyright notice for htmldoc/http*
   * d/htmldoc-common.install: Include folder with desktop icons

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 28 Dec 2020 09:16:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
 Homepage: https://www.msweet.org/htmldoc/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               libfltk1.1-dev,
+               libfltk1.3-dev,
                libgnutls28-dev,
                libjpeg-dev,
                libpng-dev,

## htmldoc 1.9.12

=== debian/changelog ===
htmldoc (1.9.12-1) unstable; urgency=medium

  * New upstream version 1.9.12
  * Update patches
  * d/rules: Prevent automake and autoheader being run.
  * d/copyright: Remove entries for third-party libraries.
  * d/copyright: Update copyright year and fixed a typo.
  * Run wrap-and-sort -at
  * Move package into Vcs repository

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 14 Aug 2021 23:47:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,6 @@
 Section: web
 Priority: optional
 Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
-Homepage: https://www.msweet.org/htmldoc/
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfltk1.3-dev,
                libgnutls28-dev,
@@ -12,14 +9,19 @@
                libpng-dev,
                libxpm-dev,
                pkg-config,
-               zlib1g-dev
+               zlib1g-dev,
+Standards-Version: 4.5.1
+Homepage: https://www.msweet.org/htmldoc/
+Vcs-Browser: https://salsa.debian.org/haava/htmldoc
+Vcs-Git: https://salsa.debian.org/haava/htmldoc.git
+Rules-Requires-Root: no
 
 Package: htmldoc
 Architecture: any
 Multi-Arch: foreign
 Depends: htmldoc-common,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: HTML processor that generates indexed HTML, PS, and PDF
  HTMLDOC is a program for writing documentation in HTML and producing
  indexed HTML, PostScript, or PDF output (with tables of contents).
@@ -29,7 +31,7 @@
 Package: htmldoc-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Common arch-independent files for htmldoc
  HTMLDOC is a program for writing documentation in HTML and producing
  indexed HTML, PostScript, or PDF output (with tables of contents).

## htmldoc 1.9.13

=== debian/changelog ===
htmldoc (1.9.13-1) unstable; urgency=medium

  * New upstream version 1.9.13
    Fix: CVE-2021-40985.
  * Rebase patches.
  * xpm icon is no longer installed.
  * d/control: Update Standards-Version to 4.6.0

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 08 Nov 2021 21:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxpm-dev,
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.msweet.org/htmldoc/
 Vcs-Browser: https://salsa.debian.org/haava/htmldoc
 Vcs-Git: https://salsa.debian.org/haava/htmldoc.git

## htmldoc 1.9.14

=== debian/changelog ===
htmldoc (1.9.14-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update upstream PGP key.
  * d/watch: Remove custom install commands.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 25 Dec 2021 15:03:16 +0100

## htmldoc 1.9.15

=== debian/changelog ===
htmldoc (1.9.15-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update copyright years.
  * Update maintainer address and shorten down name.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 09 Feb 2022 08:50:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
+Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: debhelper-compat (= 13),
                libfltk1.3-dev,
                libgnutls28-dev,

## htmldoc 1.9.16

=== debian/changelog ===
htmldoc (1.9.16-1) unstable; urgency=medium

  * New upstream version 1.9.16
  * Rebase patches.
  * Update Standards-Version to 4.6.1, no changes needed.
  * Only provide documentation as html.
    Rename d/p/manpage-fixes.patch -> d/p/build_documentation.patch

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 08 Jun 2022 20:59:05 +0200

htmldoc (1.9.15-2) unstable; urgency=medium

  * Add upstream patch for CVE-2022-28085 and CVE-2022-27114

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 12 May 2022 21:33:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxpm-dev,
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.msweet.org/htmldoc/
 Vcs-Browser: https://salsa.debian.org/haava/htmldoc
 Vcs-Git: https://salsa.debian.org/haava/htmldoc.git

=== debian/watch ===
version=4
  opts="pgpsigurlmangle=s%$%.sig%" \
  https://github.com/michaelrsweet/htmldoc/releases \
  .*/@PACKAGE@-@ANY_VERSION@-source@ARCHIVE_EXT@

## htmldoc 1.9.17

=== data/Makefile ===
#
# Makefile for HTMLDOC data files.
#
# Copyright 2011-2017 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Character set/glyph files...
#

FILES	=	cp-1250 cp-1251 cp-1252 cp-1253 cp-1254 cp-1255 \
		cp-1256 cp-1257 cp-1258 cp-874 \
		iso-8859-1 iso-8859-14 iso-8859-15 iso-8859-2 iso-8859-3 \
		iso-8859-4 iso-8859-5 iso-8859-6 iso-8859-7 iso-8859-8 \
		iso-8859-9 \
		koi8-r prolog.ps psglyphs


#
# Make everything...
#

all:


#
# Install everything...
#

install:
	$(INSTALL_DIR) $(BUILDROOT)$(datadir)/htmldoc/data
	for file in $(FILES); do \
		$(INSTALL_DATA) $$file $(BUILDROOT)$(datadir)/htmldoc/data; \
	done


#
# Clean out object and library files...
#

clean:

=== debian/changelog ===
htmldoc (1.9.17-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:38 +1100

htmldoc (1.9.17-1build2) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:50:39 +1300

htmldoc (1.9.17-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:54:03 +0000

htmldoc (1.9.17-1) unstable; urgency=medium

  * New upstream release.
    - Upstream uses UTC for its CreationDate. Closes: #1012656
  * Patches:
    - Rebase patches.
    - Remove d/p/autoheader_support.patch and d/p/autoconf_fixes.patch,
      no longer needed.
  * Update watch file to find new releases on GitHub
  * Update upstream signing key.
  * Add libcups2-dev as BD.
  * Remove libgnutls28-dev as BD.
  * Update Standards-Version to 4.6.2, no changes needed.
  * d/copyright:
    - Delete entries for removed files in source.
    - Update copyright years.
  * Add lintian-override for missing html source file.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 19 Sep 2023 20:34:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: debhelper-compat (= 13),
+               libcups2-dev,
                libfltk1.3-dev,
-               libgnutls28-dev,
                libjpeg-dev,
                libpng-dev,
                libxpm-dev,
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.msweet.org/htmldoc/
 Vcs-Browser: https://salsa.debian.org/haava/htmldoc
 Vcs-Git: https://salsa.debian.org/haava/htmldoc.git

## htmldoc 1.9.18

=== debian/changelog ===
htmldoc (1.9.18-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-46478.patch: Fix buffer overflow when
      handling tabs by changing lineptr check when looping
    - CVE-2024-46478
  * SECURITY UPDATE: Out of bounds write
    - debian/patches/CVE-2024-45508.patch: Don't strip leading
      whitespace from whitespace-only node, check temp->data[1]
      isn't a NULL terminator
    - CVE-2024-45508

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 22 Jan 2025 15:39:13 +1100

htmldoc (1.9.18-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update upstream signing key.
  * Update BD pkg-config -> pkgconf
  * Update copyright year.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 28 Feb 2024 22:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libjpeg-dev,
                libpng-dev,
                libxpm-dev,
-               pkg-config,
+               pkgconf,
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://www.msweet.org/htmldoc/

## htmldoc 1.9.19

=== debian/changelog ===
htmldoc (1.9.19-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches
    - Drop patches which is included in the new upstream version.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 29 Nov 2024 06:30:36 +0100

htmldoc (1.9.18-3) unstable; urgency=medium

  * Patch from upstream to fix buffer overflow.
    Closes: #1086061  and CVE-2024-46478

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 25 Oct 2024 23:07:43 +0200

htmldoc (1.9.18-2) unstable; urgency=medium

  * Add patch from upstream to fix out-of-bounds write.
    Closes: #1081236 and CVE-2024-45508
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 10 Sep 2024 18:35:24 +0200

## htmldoc 1.9.20

=== debian/changelog ===
htmldoc (1.9.20-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 09 Dec 2024 22:15:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: htmldoc
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
+Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: debhelper-compat (= 13),
                libcups2-dev,
                libfltk1.3-dev,
@@ -11,7 +10,7 @@
                libxpm-dev,
                pkgconf,
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.msweet.org/htmldoc/
 Vcs-Browser: https://salsa.debian.org/haava/htmldoc
 Vcs-Git: https://salsa.debian.org/haava/htmldoc.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export AUTOMAKE = true
export AUTOHEADER = true

%:
	dh $@

# skip documentation in arch-only build
DO_PACKAGES = $(shell dh_listpackages)
DIRS=htmldoc $(if $(filter htmldoc-common,$(DO_PACKAGES)),doc)
INSTALLDIRS=fonts data desktop $(if $(filter htmldoc-common,$(DO_PACKAGES)),doc) htmldoc

override_dh_auto_build:
	dh_auto_build -- DIRS="$(DIRS)"

override_dh_auto_install:
	dh_auto_install -- DIRS="$(DIRS)" INSTALLDIRS="$(INSTALLDIRS)"

=== debian/watch ===
version=4
  opts="\
    searchmode=plain, \
    pgpsigurlmangle=s%$%.sig%, \
    filenamemangle=s%@ANY_VERSION@-source(@ARCHIVE_EXT@)%-$1$2%" \
  https://api.github.com/repos/michaelrsweet/htmldoc/releases \
  https://github.com/michaelrsweet/htmldoc/releases/download/v\d[\.\d]*/htmldoc-@ANY_VERSION@-source.tar.gz

## htmldoc 1.9.21

=== desktop/Makefile ===
--- 
+++ 
@@ -32,8 +32,8 @@
 		$(INSTALL_DATA) htmldoc.desktop $(BUILDROOT)$(datadir)/applications; \
 		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/mime/packages; \
 		$(INSTALL_DATA) htmldoc.xml $(BUILDROOT)$(datadir)/mime/packages; \
-		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/pixmaps; \
-		$(INSTALL_DATA) htmldoc.xpm $(BUILDROOT)$(datadir)/pixmaps; \
+		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/icons/hicolor/32x32/apps; \
+		$(INSTALL_DATA) htmldoc-32.png $(BUILDROOT)$(datadir)/icons/hicolor/32x32/apps/htmldoc.png; \
 		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/icons/hicolor/128x128/apps; \
 		$(INSTALL_DATA) htmldoc-128.png $(BUILDROOT)$(datadir)/icons/hicolor/128x128/apps/htmldoc.png; \
 		$(INSTALL_DIR) $(BUILDROOT)$(datadir)/icons/hicolor/256x256/apps; \

=== doc/Makefile ===
#
# Makefile for HTMLDOC documentation files.
#
# Copyright © 2011-2024 by Michael R Sweet.
# Copyright © 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Documentation files...
#

SOURCES	=	1-intro.html \
		2-using.html \
		3-cmdref.html \
		4-htmlref.html \
		5-mdref.html \
		a-license.html \
		b-book.html

DOCUMENTS =	htmldoc.epub htmldoc.html htmldoc.pdf htmldoc.ps
DOCFILES =	help.html htmldoc.pdf

HTMLDOC	=	../htmldoc/htmldoc$(EXEEXT) --datadir .. --strict


#
# Make everything...
#

all: $(DOCUMENTS)


#
# Install everything...
#

install: $(DOCUMENTS)
	$(INSTALL_DIR) $(BUILDROOT)$(datadir)/doc/htmldoc;
	for file in $(DOCFILES); do \
		$(INSTALL_DATA) $$file $(BUILDROOT)$(datadir)/doc/htmldoc; \
	done
	$(INSTALL_DIR) $(BUILDROOT)$(mandir)/man1;
	$(INSTALL_MAN) htmldoc.man $(BUILDROOT)$(mandir)/man1/htmldoc.1


#
# Clean out document files...
#

clean:
	$(RM) $(DOCUMENTS)


#
# htmldoc program (dummy rule)
#

../htmldoc/htmldoc$(EXEEXT):
	echo Rebuilding documentation...


#
# htmldoc.d (directory)
#

.PHONY: htmldoc.d
htmldoc.d:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.d...
	if test -d htmldoc.d; then \
		$(RM) -r htmldoc.d; \
	fi
	$(MKDIR) htmldoc.d
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book --strict -t htmlsep -d htmldoc.d


#
# htmldoc.epub
#

htmldoc.epub:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.epub...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book --strict --titleimage htmldoc-cover.png -f htmldoc.epub


#
# htmldoc.html
#

htmldoc.html:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.html...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book --strict -f htmldoc.html


#
# htmldoc.pdf
#

htmldoc.pdf:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.pdf...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book --strict -f htmldoc.pdf


#
# htmldoc.ps
#

htmldoc.ps:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
	echo Formatting htmldoc.ps...
	$(VALGRIND) $(HTMLDOC) --batch htmldoc.book --strict -f htmldoc.ps

=== htmldoc/Makefile ===
#
# Makefile for HTMLDOC, an HTML document processing program.
#
# Copyright 2011-2017 by Michael R Sweet.
# Copyright 1997-2010 by Easy Software Products.
#
# This program is free software.  Distribution and use rights are outlined in
# the file "COPYING".
#

#
# Include common definitions...
#

include ../Makedefs


#
# Object files...
#

COMMONOBJS =	\
		file.o \
		htmllib.o \
		image.o \
		iso8859.o \
		md5.o \
		progress.o \
		snprintf.o \
		string.o \
		toc.o \
		util.o
HTMLDOCOBJS =	\
		gui.o \
		epub.o \
		html.o \
		htmldoc.o \
		htmlsep.o \
		license.o \
		markdown.o \
		mmd.o \
		ps-pdf.o \
		rc4.o \
		zipc.o
TESTOBJS =	\
		testhtml.o
OBJS	=	$(COMMONOBJS) $(HTMLDOCOBJS) $(TESTOBJS)

CSRCS	=	\
		file.c \
		md5.c \
		mmd.c \
		rc4.c \
		snprintf.c \
		string.c \
		zipc.c
CXXSRCS	=	\
		epub.cxx \
		gui.cxx \
		html.cxx \
		htmldoc.cxx \
		htmllib.cxx \
		htmlsep.cxx \
		image.cxx \
		iso8859.cxx \
		license.cxx \
		markdown.cxx \
		progress.cxx \
		ps-pdf.cxx \
		testhtml.cxx \
		toc.cxx \
		util.cxx


#
# Make everything...
#

all:	htmldoc$(EXEEXT) testhtml$(EXEEXT)


#
# Install everything...
#

install:	all
	$(INSTALL_DIR) $(BUILDROOT)$(bindir)
	$(INSTALL_BIN) htmldoc$(EXEEXT) $(BUILDROOT)$(bindir)


#
# Clean out object and executable files...
#

clean:
	$(RM) $(OBJS) htmldoc$(EXEEXT) testhtml$(EXEEXT)


#
# Update dependencies...
#

depend:
	$(CC) -MM $(CFLAGS) $(CSRCS) | sed -e '1,$$s/ \/usr\/include\/[^ ]*//g' -e '1,$$s/ \/usr\/local\/include\/[^ ]*//g' >Dependencies
	$(CXX) -MM $(CXXFLAGS) $(CXXSRCS) | sed -e '1,$$s/ \/usr\/include\/[^ ]*//g' -e '1,$$s/ \/usr\/local\/include\/[^ ]*//g' >>Dependencies


#
# htmldoc
#

htmldoc$(EXEEXT):	$(HTMLDOCOBJS) $(COMMONOBJS) ../Makedefs
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o htmldoc$(EXEEXT) $(HTMLDOCOBJS) $(COMMONOBJS) $(LIBS)
	if test `uname` = Darwin; then \
		$(MAKE) -$(MAKEFLAGS) htmldoc.app || exit 1; \
	fi

htmldoc.app:	htmldoc
	echo Creating application bundle...
	$(RM) -r htmldoc.app
	$(MKDIR) htmldoc.app
	$(MKDIR) htmldoc.app/Contents
	$(CP) ../desktop/htmldoc.plist htmldoc.app/Contents/Info.plist
	$(MKDIR) htmldoc.app/Contents/MacOS
	$(CP) htmldoc htmldoc.app/Contents/MacOS
	$(MKDIR) htmldoc.app/Contents/Resources
	$(CP) ../desktop/htmldoc.icns htmldoc.app/Contents/Resources
	$(CP) ../doc/help.html htmldoc.app/Contents/Resources
	$(MKDIR) htmldoc.app/Contents/Resources/data
	$(CP) ../data/cp-* htmldoc.app/Contents/Resources/data
	$(CP) ../data/iso-* htmldoc.app/Contents/Resources/data
	$(CP) ../data/koi8-r htmldoc.app/Contents/Resources/data
	$(CP) ../data/prolog.ps htmldoc.app/Contents/Resources/data
	$(CP) ../data/psglyphs htmldoc.app/Contents/Resources/data
	$(MKDIR) htmldoc.app/Contents/Resources/fonts
	$(CP) ../fonts/*.afm htmldoc.app/Contents/Resources/fonts
	$(CP) ../fonts/*.pfa htmldoc.app/Contents/Resources/fonts


#
# testhtml
#

testhtml$(EXEEXT):	$(TESTOBJS) $(COMMONOBJS)
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o testhtml$(EXEEXT) $(TESTOBJS) $(COMMONOBJS) $(LIBS)


#
# Dependencies...
#

$(OBJS):	../Makedefs
tls.o:		tls-darwin.c tls-gnutls.c tls-sspi.c
include Dependencies

=== debian/changelog ===
htmldoc (1.9.21-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches
  * Update Standards-Version to 4.7.2, no changes needed.
  * Update copyright years.
  * Update watch file to version 5.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 15 Sep 2025 22:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxpm-dev,
                pkgconf,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.msweet.org/htmldoc/
 Vcs-Browser: https://salsa.debian.org/haava/htmldoc
 Vcs-Git: https://salsa.debian.org/haava/htmldoc.git

=== debian/watch ===
Version: 5

Template: Github
Owner: michaelrsweet
Project: htmldoc
Pgp-Mode: mangle
Pgp-Sig-Url-Mangle: s%$%.sig%

## htmldoc 1.9.22

=== debian/changelog ===
htmldoc (1.9.22-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Fix retrieving of upstream package signature.
  * Remove RRR, value is now default.
  * Update Standards-Version to 4.7.3:
    - Remove Priority field, value is now default.
  * Change to run CI pipeline from file in repository.
  * Run wrap-and-sort with arguments 'asbkt'.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 03 Jan 2026 19:34:32 +0100

=== debian/control ===
Source: htmldoc
Section: web
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends:
 debhelper-compat (= 13),
 libcups2-dev,
 libfltk1.3-dev,
 libjpeg-dev,
 libpng-dev,
 libxpm-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://www.msweet.org/htmldoc/
Vcs-Browser: https://salsa.debian.org/haava/htmldoc
Vcs-Git: https://salsa.debian.org/haava/htmldoc.git

Package: htmldoc
Architecture: any
Multi-Arch: foreign
Depends:
 htmldoc-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: HTML processor that generates indexed HTML, PS, and PDF
 HTMLDOC is a program for writing documentation in HTML and producing
 indexed HTML, PostScript, or PDF output (with tables of contents).
 It supports most HTML 3.2 and some HTML 4.0 syntax, as well as GIF,
 JPEG, and PNG images.

Package: htmldoc-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Common arch-independent files for htmldoc
 HTMLDOC is a program for writing documentation in HTML and producing
 indexed HTML, PostScript, or PDF output (with tables of contents).
 It supports most HTML 3.2 and some HTML 4.0 syntax, as well as GIF,
 JPEG, and PNG images.
 .
 This package contains the htmldoc files common to all architectures.

## htmldoc 1.9.23

=== debian/changelog ===
htmldoc (1.9.23-1) unstable; urgency=medium

  * New upstream release:
    - Fixed a regression in list handling that caused a crash for empty
      list items. Closes: #1125143
  * Rebase patches
  * Build with debug symbols.
    Thanks to Roland Rosenfeld for the suggestion
  * Update copyright years.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 31 Jan 2026 07:46:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 DIRS=htmldoc $(if $(filter htmldoc-common,$(DO_PACKAGES)),doc)
 INSTALLDIRS=fonts data desktop $(if $(filter htmldoc-common,$(DO_PACKAGES)),doc) htmldoc
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-debug
+
 override_dh_auto_build:
 	dh_auto_build -- DIRS="$(DIRS)"

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/michaelrsweet/htmldoc/releases
Matching-Pattern: https://github.com/michaelrsweet/htmldoc/releases/download/v\d[\.\d]*/htmldoc-@ANY_VERSION@-source.tar.gz
Search-Mode: plain
Filename-Mangle: s%@ANY_VERSION@-source(@ARCHIVE_EXT@)%-$1$2%
Pgp-Mode: auto
